<?php

class WPEF_SettingsController {
    public function __construct() {
        add_action('admin_init', array($this, 'save'));
    }

    public function save() {

        if (!current_user_can('manage_options')) {
            return;
        }

        if (isset($_POST['action']) && $_POST['action'] == 'update' && isset($_GET['page']) && $_GET['page'] == WPEF_SLUG) {
            $nonce = $_POST['_wpnonce'];
            if (!wp_verify_nonce($nonce, 'update')) {
                wp_die('Nice Try...');
            }

            $settings = WPEF_WPEverFunnel::instance()->settings;

            $settings->flushed = false;

			$settings->folder = stripslashes($_POST['folder']);
			$settings->default_autoresponder = stripslashes($_POST['default_autoresponder']);
        }
    }

    public function render() {
        $settings = WPEF_WPEverFunnel::instance()->settings;
        require WPEF_VIEW_DIR . '/settings.php';
    }


}