<?php

class WPEF_Autoresponder{
    private static $autoresponders = array(
        'aweber' => 'Aweber',
        'mailchimp' => 'Mail Chimp',
        'activecampaign' => 'Active Campaign',
        'other' => 'Other'
    );

    private static $autoresponder_tags = array(
        'aweber' => '{!date ed+0}',
        'mailchimp' => '*|DATE:d-m-Y|*',
        'activecampaign' => '%TODAY%',
        'other' => 'other'
    );

    public static function autoresponders(){
        return self::$autoresponders;
    }

    public static function get_tag($autoresponder){
        if(array_key_exists($autoresponder, self::$autoresponder_tags)){
            return self::$autoresponder_tags[$autoresponder];
        }
        return '';
    }

    public static function parse_date($autoresponder, $date){
        $day = 1;
        $month = 1;
        $year = 2000;

        if(in_array($autoresponder, array('aweber', 'mailchimp'))) {
            $parts = explode('-', $date);
            $day = $parts[0];
            $month = $parts[1];
            $year = $parts[2];
        }elseif(in_array($autoresponder, array('activecampaign'))) {
            $parts = explode('/', $date);
            $day = $parts[1];
            $month = $parts[0];
            $year = $parts[2];
        }elseif($autoresponder == 'other'){
            if(! array_key_exists('wpeverfunnel_date', $_COOKIE)){
                $path = $_SERVER['REQUEST_URI'];
                if(($pos = strpos($path, '?')) !== false){
                    $path = substr($path, 0, $pos - 1);
                }
                setcookie('wpeverfunnel_date', time(), time()  + (365 * 24 * 60 * 60), $path);
                $date = time();
            }else{
                $date = $_COOKIE['wpeverfunnel_date'];
            }
            $dt = new DateTime("@{$date}");
            $dt->setTimeZone(new DateTimeZone('America/New_York'));
            $dt->setTime(0,0,0);
            return $dt;
        }else{
            throw new Exception("Unknown Autoresponder");
        }

        if(!(is_numeric($day) && is_numeric($month) && is_numeric($year))){
            throw new Exception('Bad data');
        }

        if(strlen($day) == 1)
            $day = "0$day";

        if(strlen($month) == 1)
            $month = "0$month";

        return new DateTime("$year-$month-$day", new DateTimeZone('America/New_York'));
    }
}