<?php

require_once WPEF_INCLUDE_DIR . '/Metatick/WP/Model/Metatick_WP_Model_PostMeta_1_0.php';

class WPEF_Page extends Metatick_WP_Model_PostMeta_1_0{
	protected $_default = array(
		'days' => 0,
		'expire_time' => '23:59',
		'url' => '',
		'expired_url' => ''
	);

	public function __construct($post_id) {
		parent::__construct(WPEF_SLUG,$post_id);
	}

	public static function register(){
		$settings = WPEF_WPEverFunnel::instance()->settings;

		$labels = array(
			'name' => _x('Ever Funnel', 'post type general name', WPEF_SLUG),
			'singular_name' => _x('Ever Funnel', 'post type singular name', WPEF_SLUG),
			'menu_name' => _x('WP Ever Funnel', 'admin menu', WPEF_SLUG),
			'name_admin_bar' => _x('Ever Funnel', 'add new on admin bar', WPEF_SLUG),
			'add_new' => _x('Add Ever Funnel', 'Ever Funnel', WPEF_SLUG),
			'add_new_item' => __('Add New Ever Funnel', WPEF_SLUG),
			'new_item' => __('New Ever Funnel', WPEF_SLUG),
			'edit_item' => __('Edit Ever Funnel', WPEF_SLUG),
			'view_item' => __('View Ever Funnel', WPEF_SLUG),
			'all_items' => __('Ever Funnels', WPEF_SLUG),
			'search_items' => __('Search Ever Funnel', WPEF_SLUG),
			'parent_item_colon' => __('Parent WP Ever Funnel:', WPEF_SLUG),
			'not_found' => __('No Ever Funnels found.', WPEF_SLUG),
			'not_found_in_trash' => __('No Ever Funnels found in Trash.', WPEF_SLUG)
		);

		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => array('slug' => $settings->folder),
			'capability_type' => 'post',
			'has_archive' => false,
			'hierarchical' => true,
			'supports' => array('title'),
			'menu_icon' => 'dashicons-filter'
		);


		register_post_type(WPEF_SLUG, $args);

		if (!$settings->flushed) {
			flush_rewrite_rules(true);
			$settings->flushed = true;
		}
	}


}
