<p>
    <label for="days">Days Valid (<small>The number of days this link will be valid for total</small>)</label><br />
    <input type="number" min="0" max="100" id="days" name="days" value="<?php echo esc_attr($page->days); ?>">
</p>

<p>
    <label for="expire_time">Expiry time (<small>What time will this link 'expire', in EST</small>)</label><br />
    <?php
        $hours = 23;
        $minutes = 59;
        try{
            $temp = explode(':',$page->expire_time);
            $hours = $temp[0]*1;
            $minutes = $temp[1]*1;
        }catch (Exception $e){}
    ?>
    <input type="number" id="expire_time_hours" min="0" max="23" name="expire_time_hours" value="<?php echo esc_attr($hours); ?>"> :
    <input type="number" id="expire_time_minutes" min="0" max="59" name="expire_time_minutes" value="<?php echo esc_attr($minutes); ?>">
    <input type="hidden" id="expire_time" name="expire_time" value="<?php echo esc_attr("$hours:$minutes"); ?>">
    <style>
        #expire_time_hours, #expire_time_minutes{
            width: 3em;
        }
    </style>
    <script>
        jQuery(document).ready(function() {
            jQuery('#expire_time_hours, #expire_time_minutes').change(function(){
                var hours = jQuery('#expire_time_hours').val();
                var minutes = jQuery('#expire_time_minutes').val();
                jQuery('#expire_time').val(hours + ':' + minutes);
            });
        });
    </script>
</p>

<p>
    <label for="url">URL (<small>The url this link will redirect to</small>)</label><br />
    <input type="text" class="regular-text" id="url" name="url" value="<?php echo esc_attr($page->url); ?>">
</p>

<p>
    <label for="expired_url">Expired URL (<small>The url this link will redirect to once it has expired</small>)</label><br />
    <input type="text" class="regular-text" id="expired_url" name="expired_url" value="<?php echo esc_attr($page->expired_url); ?>">
</p>
<hr>
<h3>URL Creator</h3>
<p>
    Use the following tool to create URLS for use inside your email autoresponder.
</p>
<ol>
    <li>Select your autoresponder type</li>
    <li>Select the autoresponder day you are creating an email for</li>
    <li>Copy/paste the link into your email</li>
</ol>
<p>
    <label for="autoresponder_type">Autoresponder Type</label><br />
    <select name="autoresponder_type" id="autoresponder_type">
        <?php foreach(WPEF_Autoresponder::autoresponders() as $autoresponder => $name): ?>
            <?php
            $tag = WPEF_Autoresponder::get_tag($autoresponder);
            ?>
        <option
            value="<?php echo esc_attr($autoresponder); ?>"
            data-tag="<?php echo esc_attr($tag); ?>"
            <?php selected($autoresponder, $settings->default_autoresponder); ?>
            ><?php echo esc_html($name); ?></option>
        <?php endforeach; ?>
    </select>
</p>
<p>
    <label for="autoresponder_day">Autoresponder Day</label><br />
    <select name="autoresponder_day" id="autoresponder_day">
        <?php for($day = 0; $day <= $page->days; $day++): ?>
            <option
                value="<?php echo esc_attr($day); ?>"
            ><?php echo esc_html($day); ?></option>
        <?php endfor; ?>
    </select>
</p>

<p>
    <label for="autoresponder_link">Autoresponder Link</label><br />
    <input name="autoresponder_link" id="autoresponder_link" type="text" class="large-text">
</p>

<script>
    jQuery(document).ready(function() {
        jQuery('#autoresponder_day, #autoresponder_type').change(function(){

            var url = <?php echo json_encode(get_the_permalink()); ?>;
            url = url + (url.search('\\?') == -1 ? '?' : '&');

            url = url + 'xclick=09FF3BCB7B6D3FA9CBED1E84DB6421858CFCF1FE7BED3743DF6E7996F2BEC56F';
            url = url + '&dt=' + jQuery('#autoresponder_type option:selected').data('tag');
            url = url + '&dn=' + jQuery('#autoresponder_day').val();
            url = url + '&ar=' + jQuery('#autoresponder_type').val();

            jQuery('#autoresponder_link').val(url);
        }).change();
    });
</script>