<div class="wrap">
	<h1><?php echo WPEF_TITLE; ?> Settings</h1>

	<form method="post" novalidate="novalidate">
		<input type="hidden" name="option_page" value="general">
		<input type="hidden" name="action" value="update">

		<?php wp_nonce_field('update'); ?>

		<table class="form-table">
			<tbody>
				<tr>
					<th scope="row"><label for="folder">Folder</label></th>
					<td>
						<input name="folder" type="text" id="folder" value="<?php echo esc_attr($settings->folder); ?>" class="regular-text">
						<small style="display:block">Your links will be under <?php echo get_site_url() . '/<b>' . $settings->folder . '</b>/'; ?></small>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="default_autoresponder">Default Autoresponder</label></th>
					<td>
						<select name="default_autoresponder" id="default_autoresponder">
							<?php foreach(WPEF_Autoresponder::autoresponders() as $autoresponder => $name): ?>
								<?php
								$tag = WPEF_Autoresponder::get_tag($autoresponder);
								?>
								<option
										value="<?php echo esc_attr($autoresponder); ?>"
										data-tag="<?php echo esc_attr($tag); ?>"
										<?php selected($autoresponder, $settings->default_autoresponder); ?>
								><?php echo esc_html($name); ?></option>
							<?php endforeach; ?>
						</select>
					</td>
				</tr>
			</tbody>
		</table>

		<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p></form>
</div>