<?php

/*
Plugin Name: WP Ever Funnel
Plugin URI: https://imincomelab.com
Description: Smart auto-expiring URLs for evergreen email sequences
Version: 1.0
Author: Michael Thomas & Mark Hess
Author URI: https://imincomelab.com
*/

define('WPEF_TITLE', 'WP Ever Funnel');
define('WPEF_SLUG', 'wpeverfunnel');
define('WPEF_SECRET', 'sgf21h1s3ggjahjjddfs6fs243h');
define('WPEF_PATH', dirname(__FILE__));
define('WPEF_DIR', basename(WPEF_PATH));
define('WPEF_FILE', plugin_basename(__FILE__));
define('WPEF_INCLUDE_DIR', WPEF_PATH . '/include');
define('WPEF_CONTROLLER_DIR', WPEF_PATH . '/controllers');
define('WPEF_MODEL_DIR', WPEF_PATH . '/models');
define('WPEF_VIEW_DIR', WPEF_PATH . '/views');
define('WPEF_STATIC_BASE', plugin_dir_url(__FILE__) . '/static');

require_once WPEF_INCLUDE_DIR . '/Metatick/WP/Metatick_WP_Licensing_1_5.php';
require_once WPEF_INCLUDE_DIR . '/WPEF_Autoresponder.php';

require_once WPEF_MODEL_DIR . '/WPEF_Settings.php';
require_once WPEF_MODEL_DIR . '/WPEF_Page.php';

require_once WPEF_CONTROLLER_DIR . '/WPEF_SettingsController.php';
require_once WPEF_CONTROLLER_DIR . '/WPEF_PageController.php';


class WPEF_WPEverFunnel {
    private static $instance = null;

    public static function instance(){
        if(self::$instance == null){
            self::$instance = new WPEF_WPEverFunnel();
        }
        return self::$instance;
    }


    private function __construct() {
        $this->settings = new WPEF_Settings();

        $this->settings_controller = new WPEF_SettingsController();

		$this->page_controller = new WPEF_PageController();
		add_action('init', array('WPEF_Page', 'register'));

        add_action('admin_menu', array($this, 'check_for_updates'));
        add_action('admin_menu', array($this, 'admin_menu'));
        add_action('admin_notices', array($this, 'admin_notices'));
    }

    function admin_menu(){
        add_options_page( WPEF_TITLE, WPEF_TITLE, 'manage_options', WPEF_SLUG, array($this->settings_controller, 'render'));
    }

    function check_for_updates() {
        require_once WPEF_INCLUDE_DIR . '/Metatick/WP/Metatick_WP_Plugin_Autoupdater_1_2.php';
        new Metatick_WP_Plugin_Autoupdater_1_2(__FILE__, WPEF_SLUG);
    }

    function admin_notices() {
        if (! get_option('permalink_structure')){
            ?>
            <div class="notice notice-error is-dismissible">
                <p>
                    <a href="options-permalink.php">Permalinks</a> are not enabled.
                    <?php echo esc_html(WPEF_TITLE); ?> requires permalinks to be enabled to function correctly
                </p>
            </div>
            <?php
        }
    }
}

WPEF_WPEverFunnel::instance();